Subject: [Anima] Call for adoption: draft-richardson-anima-jose-voucher

From: Toerless Eckert <[email-masked]>
Date: Thu, 1 Jul 2021 17:04:22 +0200

This emails starts a two week call for adoption for draft-richardson-anima-jose-voucher
The adoption call does end when Jun 14 has passed for everyone on planet earth.

Justification:

This draft is a core normative dependency for the ANIMA WG document
draft-ietf-anima-brski-async-enroll (BRSKI-AE). It does effectively
not constitute new work, but was separated out during development
of that draft so that the jose-signed-voucher can more easily be
referenced and reused by other work in the IETF that may not need to
inherit, refer to the whole BRSKI-AE solution.

Toerless, for the ANIMA chairs.

On Thu, Jul 01, 2021 at 08:44:08AM +1200, Brian E Carpenter wrote:
> > The JSON Compact Serialization is examplained in section 3.1 or section 
> 7.1
> 
> examplained?? A great word, but not in my dictionary.
> 
> Mainly I can't understand this draft because it's way outside my expertise, but it seems necessary so I would support adoption.
> 
> Regards
>    Brian
> 
> On 30-Jun-21 12:30, Michael Richardson wrote:
> > 
> > I have reposted draft-richardson-anima-jose-voucher.
> > It's very short.  Most of the document is examples.
> > 
> > Can we adopt this so that it does not keep brski-async-enroll from
> > progressing when the time comes?
> > 
> > [email-masked] wrote:
> >     > Name:		draft-richardson-anima-jose-voucher
> >     > Revision:	01
> >     > Title:		JOSE signed Voucher Artifacts for Bootstrapping Protocols
> >     > Document date:	2021-06-23
> >     > Group:		Individual Submission
> >     > Pages:		15
> >     > Html:           https://www.ietf.org/archive/id/draft-richardson-anima-jose-voucher-01.html
> >     > Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-anima-jose-voucher-01
> > 
> >     > Abstract:
> >     > This document describes a serialiation of the RFC8366 voucher format
> >     > to a JSON format is then signed using the JSON Object Signing and
> >     > Encryption mechanism described in RFC7515.
> > 
> > 
> > --
> > Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
> >            Sandelman Software Works Inc, Ottawa and Worldwide

---

From: "Panwei (William)" <[email-masked]>
Date: Fri, 2 Jul 2021 02:47:23 +0000

I support the adoption.

Regards & Thanks!
Wei Pan

> -----Original Message-----
> From: Anima [mailto:[email-masked]] On Behalf Of Toerless Eckert
> Sent: Thursday, July 1, 2021 11:04 PM
> To: [email-masked]
> Subject: [Anima] Call for adoption: draft-richardson-anima-jose-voucher
> 
> draft-ietf-anima-brski-async-enroll (BRSKI-AE). It does effectively not
> constitute new work, but was separated out during development of that
> draft so that the jose-signed-voucher can more easily be referenced and
> reused by other work in the IETF that may not need to inherit, refer to the
> whole BRSKI-AE solution.
> 
> > Mainly I can't understand this draft because it's way outside my expertise,
> but it seems necessary so I would support adoption.
> >
> > Regards
> >    Brian
> >
> > >     > Html:
> https://www.ietf.org/archive/id/draft-richardson-anima-jose-voucher-01.ht
> ml
> > >     > Diff:
> https://www.ietf.org/rfcdiff?url2=draft-richardson-anima-jose-voucher-01
> > >
> > >     > Abstract:
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima